package java.util.stream;
public interface Stream<T>
  extends java.util.stream.BaseStream<T, java.util.stream.Stream<T>>
{
public static interface Builder<T>
  extends java.util.function.Consumer<T>
{
public abstract  void accept(T arg0);
public abstract  java.util.stream.Stream.Builder<T> add(T arg0);
public abstract  java.util.stream.Stream<T> build();
}
public abstract  java.util.stream.Stream<T> filter(java.util.function.Predicate<? super T> arg0);
public abstract <R> java.util.stream.Stream<R> map(java.util.function.Function<? super T, ? extends R> arg0);
public abstract  java.util.stream.IntStream mapToInt(java.util.function.ToIntFunction<? super T> arg0);
public abstract  java.util.stream.LongStream mapToLong(java.util.function.ToLongFunction<? super T> arg0);
public abstract  java.util.stream.DoubleStream mapToDouble(java.util.function.ToDoubleFunction<? super T> arg0);
public abstract <R> java.util.stream.Stream<R> flatMap(java.util.function.Function<? super T, ? extends java.util.stream.Stream<? extends R>> arg0);
public abstract  java.util.stream.IntStream flatMapToInt(java.util.function.Function<? super T, ? extends java.util.stream.IntStream> arg0);
public abstract  java.util.stream.LongStream flatMapToLong(java.util.function.Function<? super T, ? extends java.util.stream.LongStream> arg0);
public abstract  java.util.stream.DoubleStream flatMapToDouble(java.util.function.Function<? super T, ? extends java.util.stream.DoubleStream> arg0);
public abstract  java.util.stream.Stream<T> distinct();
public abstract  java.util.stream.Stream<T> sorted();
public abstract  java.util.stream.Stream<T> sorted(java.util.Comparator<? super T> arg0);
public abstract  java.util.stream.Stream<T> peek(java.util.function.Consumer<? super T> arg0);
public abstract  java.util.stream.Stream<T> limit(long arg0);
public abstract  java.util.stream.Stream<T> skip(long arg0);
public abstract  void forEach(java.util.function.Consumer<? super T> arg0);
public abstract  void forEachOrdered(java.util.function.Consumer<? super T> arg0);
public abstract  java.lang.Object[] toArray();
public abstract <A> A[] toArray(java.util.function.IntFunction<A[]> arg0);
public abstract  T reduce(T arg0, java.util.function.BinaryOperator<T> arg1);
public abstract  java.util.Optional<T> reduce(java.util.function.BinaryOperator<T> arg0);
public abstract <U> U reduce(U arg0, java.util.function.BiFunction<U, ? super T, U> arg1, java.util.function.BinaryOperator<U> arg2);
public abstract <R> R collect(java.util.function.Supplier<R> arg0, java.util.function.BiConsumer<R, ? super T> arg1, java.util.function.BiConsumer<R, R> arg2);
public abstract <R, A> R collect(java.util.stream.Collector<? super T, A, R> arg0);
public abstract  java.util.Optional<T> min(java.util.Comparator<? super T> arg0);
public abstract  java.util.Optional<T> max(java.util.Comparator<? super T> arg0);
public abstract  long count();
public abstract  boolean anyMatch(java.util.function.Predicate<? super T> arg0);
public abstract  boolean allMatch(java.util.function.Predicate<? super T> arg0);
public abstract  boolean noneMatch(java.util.function.Predicate<? super T> arg0);
public abstract  java.util.Optional<T> findFirst();
public abstract  java.util.Optional<T> findAny();
public static abstract <T> java.util.stream.Stream.Builder<T> builder();
public static abstract <T> java.util.stream.Stream<T> empty();
public static abstract <T> java.util.stream.Stream<T> of(T arg0);
public static abstract <T> java.util.stream.Stream<T> of(T... arg0);
public static abstract <T> java.util.stream.Stream<T> iterate(T arg0, java.util.function.UnaryOperator<T> arg1);
public static abstract <T> java.util.stream.Stream<T> generate(java.util.function.Supplier<T> arg0);
public static abstract <T> java.util.stream.Stream<T> concat(java.util.stream.Stream<? extends T> arg0, java.util.stream.Stream<? extends T> arg1);
}
